com.holonplatform.vaadin.flow.components.builders

## Interface CompositionNotifierConfigurator<C extends CompositionNotifierConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface CompositionNotifierConfigurator<C extends CompositionNotifierConfigurator<C>>

  Configurator for `CompositionNotifier` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `withCompositionEndListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionEndEvent> listener)` Adds a `compositionend` listener to this component.
    `C` | `withCompositionStartListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionStartEvent> listener)` Adds a `compositionstart` listener to this component.
    `C` | `withCompositionUpdateListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionUpdateEvent> listener)` Adds a `compositionupdate` listener to this component.

- - ### Method Detail

    - #### withCompositionStartListener

          C withCompositionStartListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionStartEvent> listener)

      Adds a `compositionstart` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

    - #### withCompositionUpdateListener

          C withCompositionUpdateListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionUpdateEvent> listener)

      Adds a `compositionupdate` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

    - #### withCompositionEndListener

          C withCompositionEndListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.CompositionEndEvent> listener)

      Adds a `compositionend` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.